csLittleEndian Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

csLittleEndian Struct Reference
Utilities

Little endian to native conversion routines. More...

`#include <csutil/csendian.h>`

List of all members.

## Static Public Member Functions
static uint16 | Convert (uint16 x)
| Convert specifically sized type from or to little endian.
static int16 | Convert (int16 x)
| Convert specifically sized type from or to little endian.
static uint32 | Convert (uint32 x)
| Convert specifically sized type from or to little endian.
static int32 | Convert (int32 x)
| Convert specifically sized type from or to little endian.
static uint64 | Convert (uint64 x)
| Convert specifically sized type from or to little endian.
static int64 | Convert (int64 x)
| Convert specifically sized type from or to little endian.
static uint16 | UInt16 (uint16 x)
| Convert specifically sized type from or to little endian.
static int16 | Int16 (int16 x)
| Convert specifically sized type from or to little endian.
static uint32 | UInt32 (uint32 x)
| Convert specifically sized type from or to little endian.
static int32 | Int32 (int32 x)
| Convert specifically sized type from or to little endian.
static uint64 | UInt64 (uint64 x)
| Convert specifically sized type from or to little endian.
static int64 | Int64 (int64 x)
| Convert specifically sized type from or to little endian.

## Detailed Description

Little endian to native conversion routines.

Remarks:
  Since conversion from and to native representation is the same operation, all methods can be used for either direction.

Definition at line 109 of file csendian.h.

## Member Function Documentation

static uint16 csLittleEndian::Convert | ( | uint16 | x | ) | `[inline, static]`

Convert specifically sized type from or to little endian.

Definition at line 114 of file csendian.h.

static int16 csLittleEndian::Convert | ( | int16 | x | ) | `[inline, static]`

Convert specifically sized type from or to little endian.

Definition at line 115 of file csendian.h.

static uint32 csLittleEndian::Convert | ( | uint32 | x | ) | `[inline, static]`

Convert specifically sized type from or to little endian.

Definition at line 116 of file csendian.h.

static int32 csLittleEndian::Convert | ( | int32 | x | ) | `[inline, static]`

Convert specifically sized type from or to little endian.

Definition at line 117 of file csendian.h.

static uint64 csLittleEndian::Convert | ( | uint64 | x | ) | `[inline, static]`

Convert specifically sized type from or to little endian.

Definition at line 118 of file csendian.h.

static int64 csLittleEndian::Convert | ( | int64 | x | ) | `[inline, static]`

Convert specifically sized type from or to little endian.

Definition at line 119 of file csendian.h.

static int16 csLittleEndian::Int16 | ( | int16 | x | ) | `[inline, static]`

Convert specifically sized type from or to little endian.

Definition at line 122 of file csendian.h.

static int32 csLittleEndian::Int32 | ( | int32 | x | ) | `[inline, static]`

Convert specifically sized type from or to little endian.

Definition at line 124 of file csendian.h.

static int64 csLittleEndian::Int64 | ( | int64 | x | ) | `[inline, static]`

Convert specifically sized type from or to little endian.

Definition at line 126 of file csendian.h.

static uint16 csLittleEndian::UInt16 | ( | uint16 | x | ) | `[inline, static]`

Convert specifically sized type from or to little endian.

Definition at line 121 of file csendian.h.

static uint32 csLittleEndian::UInt32 | ( | uint32 | x | ) | `[inline, static]`

Convert specifically sized type from or to little endian.

Definition at line 123 of file csendian.h.

static uint64 csLittleEndian::UInt64 | ( | uint64 | x | ) | `[inline, static]`

Convert specifically sized type from or to little endian.

Definition at line 125 of file csendian.h.

The documentation for this struct was generated from the following file:

- csutil/csendian.h